Subject: Re: linux-next: duplicate patch in the rust tree

From: Greg KH <[email-masked]>
Date: Mon, 20 Oct 2025 07:30:13 +0200

On Mon, Oct 20, 2025 at 04:14:31AM +0200, Miguel Ojeda wrote:
> On Mon, Oct 20, 2025 at 3:39 AM Stephen Rothwell <[email-masked]> wrote:
> >
> > The following commit is also in the char-misc.curent tree as a different
> > commit (but the same patch):
> >
> >   abae8f3c8374 ("[TEMPORARY] rust_binder: clean `clippy::mem_replace_with_default` warning")
> >
> > This is commit
> >
> >   7e69a24b6b35 ("rust_binder: clean `clippy::mem_replace_with_default` warning")
> >
> > in the char-misc.current tree.
> 
> Yeah, I added it at the top to be able to have the `rust-next`
> Clippy-clean, but I don't plan to submit it.
> 
> Since you detect them, I will remove it to avoid confusion.
> 
> Greg: it would be nice to get that one submitted to Linus during the
> -rcs, rather than the next merge window.

Yes, will send those fixes to Linus for the next -rc release, sorry for
the delay.

greg k-h